#!/bin/bash

cd $MVA_TRAINER_BASE_DIR
echo "=== Executing setup ==="
if [ -d "scripts/HTCondorScripts/myenv" ]; then #Check if the venv option is used. Default is that no venv is used
    echo "Virtual environment found!"
    source scripts/HTCondorScripts/myenv/bin/activate
else
    echo "First run setup_virt_env.sh script in HTCondorScripts directory"
    exit 1
fi

echo "Sourcing mva-trainer setup script"
source setup.sh
echo "Current working directory:"
pwd
echo "Listing content of current directory:"
ls
if [ $1 == "Converter" ]; then
    echo "=== Executing Converter ==="
    ./python/mva-trainer.py -c config/$2 --convert
fi
if [ $1 == "Trainer" ]; then
    echo "=== Executing Trainer ==="
    ./python/mva-trainer.py -c config/$2 --train
fi
if [ $1 == "Evaluater" ]; then
    echo "=== Executing Evaluater ==="
    ./python/mva-trainer.py -c config/$2 --evaluate
fi
if [ $1 == "All" ]; then
    echo "=== Executing Converter ==="
    ./python/mva-trainer.py -c config/$2 --convert
    echo "=== Executing Trainer ==="
    ./python/mva-trainer.py -c config/$2 --train
    echo "=== Executing Evaluater ==="
    ./python/mva-trainer.py -c config/$2 --evaluate
fi
echo "=== Leaving venv ==="
deactivate
echo "=== End ==="
